#pragma once

#include "CoreMinimal.h"
#include "EPlayerRole.h"
#include "PlayerInfoData.generated.h"

USTRUCT(BlueprintType)
struct FPlayerInfoData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString PlayerId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString CharacterName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString AccountName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool IsOffNetwork;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	bool IsBot;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	EPlayerRole PlayerRole;

public:
	DBDSHAREDTYPES_API FPlayerInfoData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerInfoData) { return 0; }
